/*
 Fade

 This example shows how to fade an LED on pin 9
 using the analogWrite() function.

 This example code is in the public domain.
 */

int led = 7;           // the pin that the LED is attached to
int brightness = 0;    // how bright the LED is
int fadeAmount = 8;    // how many points to fade the LED by
const int buttonPin = 3; 
int buttonState = 5;  

// the setup routine runs once when you press reset:
void setup() {
  // declare pin 9 to be an output:
  pinMode(led, OUTPUT);
  pinMode(buttonPin, INPUT);
}

void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);

  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (buttonState == HIGH) {

    analogWrite(led, brightness);
    // turn LED on:
     brightness = brightness + fadeAmount;

  // reverse the direction of the fading at the ends of the fade:
    if (brightness == 0 || brightness == 255) {
      fadeAmount = -fadeAmount ;
    }
    // wait for 30 milliseconds to see the dimming effect
    delay(5);
  }
  else {
    // turn LED off:
    digitalWrite(led, LOW);
  }
  }



